Message: Re: error in HepMC/HepMCEx01 and HepMC/HepMCEx02 for geant4.8.1 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

More Re: error in HepMC/HepMCEx01 and HepMC/HepMCEx02 for geant4.8.1 

Keywords: HepMC
Forum: Documentation and Examples
Re: None error in HepMC/HepMCEx01 and HepMC/HepMCEx02 for geant4.8.1 (dusan)
Date: 05 Jul, 2006
From: Gabriele Cosmo <Gabriele Cosmo>

Hi Dusan,

> I am using SLC4 with gcc version 3.4.5 20051201 (Red Hat 3.4.5-2) and
> geant 4.8.1 and HepMC_Version1.25.
> My first remark:  when I used geant4.8.0.p01 the examples  eventgenerator/HepMC/HepMCEx01
> and ventgenerator/HepMC/HepMCEx02 were o.k.

it is actually a matter of fact that the HepMC extended examples have not
been updated to work in the Geant4 8 series !
Fixes introduced in the novice exampleN04 must be introduced in the HepMC
extended examples as well (since they're derived from it...).
This will be fixed in the next release.

> /kosice/hep_software/HepMC_Version1.25/HepMC/GenVertex.h:57: error: expected `,' or `...' before '&' token
> /kosice/hep_software/HepMC_Version1.25/HepMC/GenVertex.h:59: error: ISO C++ forbids declaration of `HepLorentzVector' with no type
> /kosice/hep_software/HepMC_Version1.25/HepMC/GenVertex.h:78: error: `HepLorentzVector' has not been declared

The problem you get applies to HepMC, not to Geant4. As such, you should
contact the HepMC author or try to upgrade HepMC to a more recent version.

Cheers, Gabriele

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

 Add Message Add Message
to: "Re: error in HepMC/HepMCEx01 and HepMC/HepMCEx02 for geant4.8.1"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]